djinn-ghc-0.0.2.3: Generate Haskell code from a type. Bridge from Djinn to GHC API.

Safe Haskell | None
Language | Haskell98

Djinn.GHC

Synopsis

- type Environment = [(Name, Type)]
- newtype MaxSolutions = Max Int
- djinn :: GhcMonad m => Bool -> Maybe ModuleInfo -> Environment -> Type -> MaxSolutions -> Int -> m [String]

# Documentation

type Environment = [(Name, Type)] #

Bindings which are in scope at a specific point.

newtype MaxSolutions #

Obtain a maximum number of solutions.

Constructors

Max Int |

djinn :: GhcMonad m => Bool -> Maybe ModuleInfo -> Environment -> Type -> MaxSolutions -> Int -> m [String] #

Obtain the list of expressions which could fill something with the given type. The first flag specifies whether to return one or more solutions to the problem.